Page MenuHomePhabricator

diamond: Error removing from Cloud VPS instance
Closed, ResolvedPublic

Description

With diamond::remove: true in Horizon Hiera:

# puppet agent -t
Info: Using configured environment 'production'
Info: Retrieving pluginfacts
Info: Retrieving plugin
Info: Loading facts
Error: Could not retrieve catalog from remote server: Error 500 on SERVER: Server Error: Evaluation Error: Error while evaluating a Resource Statement, Evaluation Error: Error while evaluating a Resource Statement, Duplicate declaration: Package[diamond] is already declared in file /etc/puppet/modules/standard/manifests/diamond.pp:23; cannot redeclare at /etc/puppet/modules/diamond/manifests/init.pp:69 at /etc/puppet/modules/diamond/manifests/init.pp:69:5 at /etc/puppet/modules/role/manifests/labs/instance.pp:61 on node paws-puppetmaster-01.paws.eqiad.wmflabs
Warning: Not using cache on failed catalog
Error: Could not retrieve catalog; skipping run

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2019, 10:04 PM
Bstorm added a subscriber: Bstorm.Mar 19 2019, 5:19 PM

Change 498124 had a related patch set uploaded (by GTirloni; owner: GTirloni):
[operations/puppet@production] role::labs::instance - Do not instantiate diamond if diamond::remove is true

https://gerrit.wikimedia.org/r/498124

Change 498124 merged by GTirloni:
[operations/puppet@production] role::labs::instance - Do not instantiate diamond if diamond::remove is true

https://gerrit.wikimedia.org/r/498124

Change 498255 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] cloudvps: Fix error in lookup for diamond::remove

https://gerrit.wikimedia.org/r/498255

Change 498255 merged by Bstorm:
[operations/puppet@production] cloudvps: Fix error in lookup for diamond::remove

https://gerrit.wikimedia.org/r/498255

GTirloni closed this task as Resolved.Mar 21 2019, 11:52 PM
GTirloni triaged this task as Normal priority.